#' paramlink2: Parametric linkage analysis
#'
#' Parametric linkage analysis of monogenic traits in medical pedigrees.
#' Features include singlepoint analysis, multipoint analysis via 'MERLIN'
#' (Abecasis et al. (2002) \doi{10.1038/ng786}), visualisation of log of the
#' odds (LOD) scores and summaries of linkage peaks. Disease models may be
#' specified to  accommodate phenocopies, reduced penetrance and liability
#' classes. 'paramlink2' is part of the 'ped suite' package ecosystem, presented
#' in 'Pedigree Analysis in R' (Vigeland, 2021, ISBN:9780128244302).
#'
#' @docType package
#' @import pedtools
#'
#' @name paramlink2
NULL
